package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.RequiredArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 设备对象 tb_equipment
 * 
 * @author chen
 * @date 2024-02-25
 */
@Data
@TableName("tb_equipment")
public class Equipment extends BaseEntity<Equipment> {
    private static final long serialVersionUID = 1L;

    /** 设备分类 */
    private Long type;

    /** 设备名称 */
    private String equipmentName;

    /** 设备状态 0在线 1损坏 2离线 */
    private Long status;


    /** 设备编号 */
    private String equipmentNum;

    /** 设备图片 */
    private String pic;

    private String ip;

    private Long buildingId;

    @TableField(exist = false)
    private Long roomId;

    @TableField(exist = false)
    private Long buildId;

    @TableField(exist = false)
    private String roomName;

    @TableField(exist = false)
    private String buildName;

    @TableField(exist = false)
    private Integer personCount;

    @TableField(exist = false)
    private List<Long> staffIds;

    @TableField(exist = false)
    private List<Long> roomIds;

    @TableField(exist = false)
    private List<Long> buildingDetailIds;

}
