package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * 预约参观人员对象 tb_reservation_person
 * 
 * @author chen
 * @date 2024-03-06
 */
@Data
@NoArgsConstructor

@TableName("tb_reservation_person")
public class ReservationPerson extends BaseEntity<ReservationPerson> {
    private static final long serialVersionUID = 1L;

    /** 邀请人id */
    private Long userId;

    @TableField(exist = false)
    private String userName;

    /** 参与人id */
    private Long participantId;


    /** 状态 0接受，1拒绝 */
    private String status;

    /** 创建时间 */
    private Date joinTime;

    /** 预约记录id */
    private Long reservationId;

    /** 参与人名称 */
    private String participantName;

    /** 参与人姓名 */
    private String participantPhone;

    @TableField(exist = false)
    private List<Reservation> reservation;

    @TableField(exist = false)
    private String typeName;

    @TableField(exist = false)
    private Date visitTime;

    @TableField(exist = false)
    private String avatar;

}
