package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 展厅管理对象 tb_showroom
 * 
 * @author ics
 * @date 2024-03-12
 */
@Data
@TableName("tb_showroom")
public class Showroom extends BaseEntity<Showroom> {
    private static final long serialVersionUID = 1L;

    /** 展厅编码 */
    private String showroomCode;

    /** 展厅名称 */
    private String meetingName;

    /** 容纳人数 */
    private String capacityNum;

    /** 扩充人数 */
    private String expandNum;

    /** 室内图片url */
    private String indoorPicUrl;

    /** 地址 */
    private String address;

    /** 开始时间 */
    private Date startTime;

    /** 结束时间 */
    private Date endDate;

    /** 是否展示 */
    private Integer isShow;



    /** 负责人姓名 */
    private String headName;

    /** 负责人手机号 */
    private String headPhone;

    /** 会议描述 */
    private String content;

    /** 房间id */
    private Long roomId;


    private Long buildId;

    private Long buildingId;

    @TableField(exist = false)
    private String roomName;

    /** 展厅面积 */
    private String area;

    @TableField(exist = false)
    private BigDecimal renArea;

    @TableField(exist = false)
    private String buildingName;


    @TableField(exist = false)
    private List<Long> roomIds;

}
