package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ics.admin.domain.Customer;
import com.ics.admin.domain.meeting.vo.TicketCustomerVo;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * 优惠卷对象 tb_ticket
 * 
 * @author chen
 * @date 2024-02-25
 */
@Data
@TableName("tb_ticket")
public class Ticket extends BaseEntity<Ticket> {
    private static final long serialVersionUID = 1L;

    /** 名称 */
    private String title;

    /** 描述 */
    private String content;

    /** 类型 */
    private Integer type;

    /** 金额 */
    private Integer duration;

    private String discount;

    /** 地址 */
    private String address;

    /** 是否需要核销 */
    private Integer isVerification;

    /** 是否需要展示 */
    private Integer isShow;

    /** 开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /** 结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endDate;

    /** 备注 */
    private String remark;

    /** 是否默认 */
    private String isDefault;

    @TableField(exist = false)
    private Long[] enterpriseIds;

    private Integer num;

    @TableField(exist = false)
    private List<TicketCustomerVo> ticketCustomerVo;

    @TableField(exist = false)
    private  List<Customer> selectCustomerList;

    @TableField(exist = false)
    private  List<Customer> NotSelectCustomerList;




}
