package com.ics.admin.domain.meeting;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * 访客预约人员对象 tb_reservation_person
 * 
 * @author chen
 * @date 2024-02-25
 */
@Data
@TableName("tb_visitor_person")
public class VisitorPerson extends BaseEntity<VisitorPerson> {
    private static final long serialVersionUID = 1L;

    /** 被访人id */
    private Long userId;

    private String userName;

    private String userMobile;



    @TableField(exist = false)
    private String mobile;


    /** 访客id */
    private Long intervieweeId;

    @TableField(exist = false)
    private String intervieweeName;

    private Long customerId;

    @TableField(exist = false)
        private String customerName;

    /** 姓名 */
    private String name;

    /** 手机号 */
    private String phone;

    /** 加入时间 */
    private Date joinTime;

    /** 到访时间 */
    private Date visitTime;

    /** 离开时间 */
    private Date leaveTime;

    /** 来访是由 */
    private String visitContent;

    /** 证件类型 */
    private String cardType;

    /** 证件号码 */
    private String cardNo;

    private String updateBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    /** 状态 */
    private Integer status;

    @TableField(exist = false)
    private String statusName;


    private String photo;

    @TableField(exist = false)
    private String url;

    private String rejectContent;

    private Long reviewers;

    private Date reviewersTime;

    @TableField(exist = false)
    private List<Long> userIds;

    @TableField(exist = false)
    private List<Long> staffIds;

    @TableField(exist = false)
    private String parkName;

    @TableField(exist = false)
    private String tenantName;

}
