package com.ics.admin.domain.meeting.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 访客预约人员对象 tb_reservation_person
 * 
 * @author chen
 * @date 2024-02-25
 */
@Data
@TableName("tb_visitor_person")
public class VisitorPersonVo extends BaseEntity<VisitorPersonVo> {
    private static final long serialVersionUID = 1L;

    /** 访客id */
    private Long userId;


    private String userName;


    private String userMobile;


    /** 被访人id */
    private Long intervieweeId;

    private Long customerId;

    @TableField(exist = false)
    private String customerName;

    /** 姓名 */
    private String name;

    /** 手机号 */
    private String phone;

    /** 加入时间 */
    private Date joinTime;

    /** 到访时间 */
    private Date visitTime;

    /** 离开时间 */
    private Date leaveTime;

    /** 来访是由 */
    private String visitContent;

    /** 证件类型 */
    private String cardType;

    /** 证件号码 */
    private String cardNo;

    /** 状态 */
    private Integer status;

    @TableField(exist = false)
    private String statusName;


    private String photo;

    @TableField(exist = false)
    private String url;

    private String rejectContent;

}
