package com.ics.admin.handler;

import com.ics.admin.domain.CustomerContract;
import org.apache.ibatis.type.BaseTypeHandler;
import org.apache.ibatis.type.JdbcType;
import org.apache.ibatis.type.MappedJdbcTypes;
import org.apache.ibatis.type.MappedTypes;

import java.sql.CallableStatement;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * @author zzm
 */
@MappedJdbcTypes({JdbcType.INTEGER})
@MappedTypes({CustomerContract.Type.class})
public class ContractTypeEnumHandler extends BaseTypeHandler<CustomerContract.Type> {

    @Override
    public void setNonNullParameter(PreparedStatement preparedStatement, int i, CustomerContract.Type instance, JdbcType jdbcType) throws SQLException {
        preparedStatement.setInt(i,instance.getValue());
    }

    @Override
    public CustomerContract.Type getNullableResult(ResultSet resultSet, String columnName) throws SQLException {
        int value = resultSet.getInt(columnName);
        CustomerContract.Type instance = CustomerContract.Type.parse(value);
        return instance;
    }

    @Override
    public CustomerContract.Type getNullableResult(ResultSet resultSet, int columnIndex) throws SQLException {
        int value = resultSet.getInt(columnIndex);
        CustomerContract.Type instance = CustomerContract.Type.parse(value);
        return instance;
    }

    @Override
    public CustomerContract.Type getNullableResult(CallableStatement callableStatement, int i) throws SQLException {
        return null;
    }
}
