package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.ReservationServe;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 预约服务关联Mapper接口
 * 
 * @author chen
 * @date 2024-06-26
 */
@Mapper
public interface ReservationServeMapper extends BaseMapper<ReservationServe> {
    /**
     * 查询预约服务关联
     * 
     * @param id 预约服务关联ID
     * @return 预约服务关联
     */
    ReservationServe selectReservationServeById(Long id);

    /**
     * 查询预约服务关联列表
     * 
     * @param reservationServe 预约服务关联
     * @return 预约服务关联集合
     */
    List<ReservationServe> selectReservationServeList(ReservationServe reservationServe);

    /**
     * 新增预约服务关联
     * 
     * @param reservationServe 预约服务关联
     * @return 结果
     */
    int insertReservationServe(ReservationServe reservationServe);

    /**
     * 修改预约服务关联
     * 
     * @param reservationServe 预约服务关联
     * @return 结果
     */
    int updateReservationServe(ReservationServe reservationServe);

    /**
     * 删除预约服务关联
     * 
     * @param id 预约服务关联ID
     * @return 结果
     */
    int deleteReservationServeById(Long id);

    /**
     * 批量删除预约服务关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteReservationServeByIds(String[] ids);
}
