package com.ics.admin.mapper.meeting;

import com.ics.admin.domain.meeting.RoomItemByRoom;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 房间物品关联Mapper接口
 * 
 * @author chen
 * @date 2024-02-25
 */
@Mapper
public interface RoomItemByRoomMapper extends BaseMapper<RoomItemByRoom> {
    /**
     * 查询房间物品关联
     * 
     * @param id 房间物品关联ID
     * @return 房间物品关联
     */
    RoomItemByRoom selectRoomItemByRoomById(Long id);

    /**
     * 查询房间物品关联列表
     * 
     * @param roomItemByRoom 房间物品关联
     * @return 房间物品关联集合
     */
    List<RoomItemByRoom> selectRoomItemByRoomList(RoomItemByRoom roomItemByRoom);

    /**
     * 新增房间物品关联
     * 
     * @param roomItemByRoom 房间物品关联
     * @return 结果
     */
    int insertRoomItemByRoom(RoomItemByRoom roomItemByRoom);

    /**
     * 修改房间物品关联
     * 
     * @param roomItemByRoom 房间物品关联
     * @return 结果
     */
    int updateRoomItemByRoom(RoomItemByRoom roomItemByRoom);

    /**
     * 删除房间物品关联
     * 
     * @param id 房间物品关联ID
     * @return 结果
     */
    int deleteRoomItemByRoomById(Long id);

    /**
     * 批量删除房间物品关联
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteRoomItemByRoomByIds(String[] ids);

    List<RoomItemByRoom> selectRoomContent(@Param("list") List<Long> collect,@Param("size") int size);

}
