package com.ics.admin.service.meeting;

import com.ics.admin.domain.meeting.Ticket;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
 * 优惠卷Service接口
 * 
 * @author chen
 * @date 2024-02-25
 */
public interface ITicketService extends IService<Ticket> {
    /**
     * 查询优惠卷
     * 
     * @param id 优惠卷ID
     * @return 优惠卷
     */
    Ticket selectTicketById(Long id);

    /**
     * 查询优惠卷列表
     * 
     * @param ticket 优惠卷
     * @return 优惠卷集合
     */
    List<Ticket> selectTicketList(Ticket ticket);

    /**
     * 新增优惠卷
     * 
     * @param ticket 优惠卷
     * @return 结果
     */
    int insertTicket(Ticket ticket);

    /**
     * 修改优惠卷
     * 
     * @param ticket 优惠卷
     * @return 结果
     */
    int updateTicket(Ticket ticket);

    /**
     * 批量删除优惠卷
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    int deleteTicketByIds(String ids);

    /**
     * 删除优惠卷信息
     * 
     * @param id 优惠卷ID
     * @return 结果
     */
    int deleteTicketById(Long id);
}
