package com.ics.common.core.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ics.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * 企业员工对象 ics_customer_staff
 *
 * @author ics
 * @date 2024-02-19
 */
@Data
@TableName("ics_customer_staff")
public class IcsCustomerStaff extends BaseEntity<IcsCustomerStaff> {
    private static final long serialVersionUID = 1L;
    /** 姓名 */

    @Excel(name = "微信昵称")
    private String username;

    @Excel(name = "姓名")
    private String name;
    /** 用户性别（0男 1女 2未知） */
    @Excel(name = "性别")
    private String gender;

    private String photo;

    @Excel(name = "地址")
    private String address;
    @Excel(name = "身份证号")
    private String cardNo;

    @Excel(name = "邮箱")
    private String email;

    @Excel(name = "学历")
    private String degree;

    @Excel(name = "紧急联系人")
    private String urgent;

    /** 电话 */
    @Excel(name = "手机号")
    private String mobile;

    /** 企业客户id */
    private Long icsCustomerId;

    @TableField(exist = false)
    private String customerName;

    /** 微信openid */
    private String openid;

    /** 用户头像 */
    private String avatar;



    /** 帐号状态（0正常 1停用） */
    private String status;

    /** 园区ID */
    private Long parkId;

    @TableField(exist = false)
    private String parkName;

    /**证件类型*/
    private String cardType;

    /**证件号码**/


    /**来访时间*/
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date visitTime;

    /**离开时间**/
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date leaveTime;

    /**来访是由*/
    private String visitContent;

    /**被访问人姓名**/
    private String toName;

    /**被访问人号码*/
    private String toPhone;

    /**被访问单位名称*/
    private String toCustomer;

    /**被访问单位id**/
    private String toCustomerId;

    /**数据类型，1企业员工，2临时访客*/
    private String dataType;

    @TableField(exist = false)
    private String customerId;

    @TableField(exist = false)
    private Long staffId;

    @TableField(exist = false)
    private Integer num;

}
