package com.ics.system.domain;

import com.ics.common.core.domain.BaseEntity;
import lombok.Data;

import javax.persistence.Table;
import java.util.List;

/**
 * 角色表 sys_role
 *
 */
@Data
@Table(name = "sys_role")
public class Role extends BaseEntity<BaseEntity> {
    private static final long serialVersionUID = 1L;

    /**
     * 角色名称
     */
    private String roleName;

    /**
     * 角色权限
     */
    private String roleKey;

    /**
     * 角色排序
     */
    private String roleSort;

    /**
     * 数据范围（1：所有数据权限；2：自定数据权限）
     */
    private String dataScope;

    /**
     * 角色状态（0正常 1停用）
     */
    private String status;

    /**
     * 是否默认
     */
    private Boolean isDefault;

    /**
     * 备注
     */
    private String remark;

    /**
     * 用户是否存在此角色标识 默认不存在
     */
    private boolean flag = false;

    /**
     * 菜单组
     */
    private List<Long> menuIds;

    /**
     * 部门组（数据权限）
     */
    private Long[] deptIds;

}
