package com.ics.controller.mobile.pay.wx.dto;

import lombok.Data;

/**
 * 前端微信支付所需参数
 */
@Data
public class WxChatPayDto {

    /**
     * 需要支付的小程序id
     */
    private String appid;

    /**
     * 时间戳（当前的时间）
     */
    private String timeStamp;

    /**
     * 随机字符串，不长于32位。
     */
    private String nonceStr;

    /**
     * 小程序下单接口返回的prepay_id参数值，提交格式如：prepay_id=***
     */
    private String prepayId;

    /**
     * 签名类型，默认为RSA，仅支持RSA。
     */
    private String signType;

    /**
     * 签名，使用字段appId、timeStamp、nonceStr、package计算得出的签名值
     */
    private String paySign;

}
